Next: FTELL, Previous: FSEEK, Up: Intrinsic Procedures [Contents][Index]

### 8.94 `FSTAT` — Get file status

Description:

  `FSTAT` is identical to STAT, except that information about an already opened file is obtained.

  The elements in `VALUES` are the same as described by STAT.

  This intrinsic is provided in both subroutine and function forms; however, only one form can be used in any given program unit.

Standard:

  GNU extension

Class:

  Subroutine, function

Syntax:

  `CALL FSTAT(UNIT, VALUES [, STATUS])`
  `STATUS = FSTAT(UNIT, VALUES)`

Arguments:

  UNIT | An open I/O unit number of type `INTEGER`.
  VALUES | The type shall be `INTEGER(4), DIMENSION(13)`.
  STATUS | (Optional) status flag of type `INTEGER(4)`. Returns 0 on success and a system specific error code otherwise.

Example:

  See STAT for an example.

See also:

  To stat a link: LSTAT, to stat a file: STAT